%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% FIGURE GENERATION FOR SPM THESIS (2003), ChBi
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf('\n **** SPM: Thesis 2003, ChBi **** ')
clear, cd ..

% Variables
DO_NOT_CLEAR = 1; c0 = 2.99792e8;
global MYLINEWIDTH MYSUBLINEWIDTH ...
	MYMARKER MYMARKERSIZE MYSUBMARKERSIZE... 
    LINECOLOR MYLINESTYLE...
	MYFONTSIZE MYSUBFONTSIZE...
	CURFIGNO...
	MYXLABELSHIFT MYYLABELSHIFT...
    OUTPUTFIGDIR
OutPutFigDir = [OUTPUTFIGDIR '../CorelDrawDocs/Thesis/ChBi/Figure/'];
	
% Defaults
FigParam.XShift = MYXLABELSHIFT;
FigParam.YShift = MYYLABELSHIFT;
FigParam.LineWidth = MYLINEWIDTH;
FigParam.FontSize = MYFONTSIZE;
FigParam.Color = LINECOLOR;
FigParam.MarkerSize = MYMARKERSIZE;

% Sections:
PrelimBioAv = 0;
PrelimAvBeads = 1;
PrelimTNT = 0;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% PrelimBioAv
%
% From Data/2002.02.12. Without beads.
%  Pure (noise) 1st, Signal 2nd.
%  Originally from 'Data_2002_02_12_AviBio.m'.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if PrelimBioAv
	expfile= 'F:/Data/2002_02_12/SPM_GenericMultiPlot_Pretty.txt';
	SPM_GenericMultiPlot
	% DATA
	FigData = {[Time{1}'*1e12,Wave{2}/max(Wave{2})],...
			[Time{1}'*1e12,Wave{1}/max(Wave{2})]};
	% FIGURE   
	CURFIGNO = CURFIGNO + 1;
	FigParam.FigNo = CURFIGNO;
	FigParam.Name = 'FigPrelimBioAv';
	FigParam.XShift = MYXLABELSHIFT;
	FigParam.YShift = MYYLABELSHIFT;
	FigParam.LineWidth = MYSUBLINEWIDTH;
	FigParam.FontSize = MYSUBFONTSIZE;
	FigParam.Color = LINECOLOR;
	FigParam.Style = {'none','-',':'};
	FigParam.Marker = {'o','none','none'};
	FigParam.XLim = [0,43.4]; FigParam.YLim = [-1.2,1.2];
	fnGenericDrawFigure(FigData,FigParam)
	% PRINT
	print('-depsc2',[OutPutFigDir 'PrelimBioAv'])
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% PrelimAvBeads
%
% For analysing prelim data on 0.3-ng/cm2 biotin detection
%  with an avidin-coated slides.
%  Data/2002.04.16.
%  Pure (noise) 1st, Signal 2nd.
%  Originally from 'Data_2002_04_16_BioAvi.m'.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if PrelimAvBeads
	expfile = 'F:/Data/2002_04_16/SPM_GenericMultiPlot.txt';
	SPM_GenericMultiPlot
	% DATA
	FigData = {[Time{1}'*1e12,Wave{3}/max(Wave{3})],...
			[Time{1}'*1e12,Wave{1}/max(Wave{3})]};
	% FIGURE   
	CURFIGNO = CURFIGNO + 1;
	FigParam.FigNo = CURFIGNO;
	FigParam.Name = 'PrelimAvBeads';
	FigParam.XShift = MYXLABELSHIFT;
	FigParam.YShift = MYYLABELSHIFT;
	FigParam.LineWidth = MYLINEWIDTH;
	FigParam.FontSize = MYFONTSIZE;
	FigParam.Color = {[0.1,0.05,0.96],[0.72,0,0]};
	FigParam.Style = {'-','-',':'};
	FigParam.Marker = {'o','none','none'};
	FigParam.XLim = [0,43.4]; FigParam.YLim = [-1.2,1.2];
	fnGenericDrawFigure(FigData,FigParam)
	% PRINT
	print('-depsc2',[OutPutFigDir 'PrelimAvBeads'])
end


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% PrelimTNT(Rough/Smooth)
%
% For analysing prelim data on TNT & TNT-antibody
%  Data/2002.06.05
%  Pure (noise) 1st, Signal 2nd.
%  Originally from 'Data_2002_06_05_TNT.m'.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if PrelimTNT
	expfile = 'F:/Data/2002_06_05/SPM_GenericMultiPlot.txt';
	SPM_GenericMultiPlot
	% Rough
	WavePurMean = mean([Wave{1}';Wave{2}'])'/max(Wave{3});
	WavePurStd = std([Wave{1}';Wave{2}'])'/max(Wave{3});
	WaveDifMean = mean([Wave{3}';Wave{4}'])'/max(Wave{3});
	WaveDifStd = std([Wave{3}';Wave{4}'])'/max(Wave{3});
	% Data
	FigData = {[Time{1}'*1e12,WaveDifMean],...
			[Time{1}'*1e12,WavePurMean]};
	% Figure   
	CURFIGNO = CURFIGNO + 1;
	FigParam.FigNo = CURFIGNO;
	FigParam.Name = 'PrelimTNTRough';
	FigParam.XShift = MYXLABELSHIFT;
	FigParam.YShift = MYYLABELSHIFT;
	FigParam.LineWidth = MYSUBLINEWIDTH;
	FigParam.FontSize = MYSUBFONTSIZE;
	FigParam.Color = LINECOLOR;
	FigParam.Style = {'-','-',':','none'};
	FigParam.Marker = {'o','none','none','*'};
	FigParam.XLim = [0,43.4]; FigParam.YLim = [-1.1,1.1];
	fnGenericDrawFigure(FigData,FigParam)
	% Print
	print('-depsc2',[OutPutFigDir 'PrelimTNTRough'])
	% Smooth
	SmWavePurMean = mean([WaveSmooth{1}';WaveSmooth{2}'])'/max(WaveSmooth{3});
	SmWavePurStd = std([WaveSmooth{1}';WaveSmooth{2}'])'/max(WaveSmooth{3});
	SmWaveDifMean = mean([WaveSmooth{3}';WaveSmooth{4}'])'/max(WaveSmooth{3});
	SmWaveDifStd = std([WaveSmooth{3}';WaveSmooth{4}'])'/max(WaveSmooth{3});
	% Data
	FigData = {[Time{1}'*1e12,SmWaveDifMean],...
			[Time{1}'*1e12,SmWavePurMean]};
	% Figure   
	CURFIGNO = CURFIGNO + 1;
	FigParam.FigNo = CURFIGNO;
	FigParam.Name = 'PrelimTNTSmooth';
	FigParam.XShift = MYXLABELSHIFT;
	FigParam.YShift = MYYLABELSHIFT;
	FigParam.LineWidth = MYSUBLINEWIDTH;
	FigParam.FontSize = MYSUBFONTSIZE;
	FigParam.Color = LINECOLOR;
	FigParam.Style = {'-','-',':','none'};
	FigParam.Marker = {'o','none','none','*'};
	FigParam.XLim = [0,43.4]; FigParam.YLim = [-1.2,1.2];
	fnGenericDrawFigure(FigData,FigParam)
	% Print
	print('-depsc2',[OutPutFigDir 'PrelimTNTSmooth'])	
end
