%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% FIGURE GENERATION FOR SPM THESIS (2003), ChDt
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf('\n **** SPM: Thesis 2003, ChDt **** ')
clear, cd ..

% Variables
DO_NOT_CLEAR = 1; c0 = 2.99792e8;
global MYLINEWIDTH MYSUBLINEWIDTH ...
	MYMARKER MYMARKERSIZE MYSUBMARKERSIZE... 
    LINECOLOR...
	MYFONTSIZE MYSUBFONTSIZE...
    CURFIGNO...
	MYXLABELSHIFT MYYLABELSHIFT...
    OUTPUTFIGDIR
OutPutFigDir = [OUTPUTFIGDIR 'ChDt/Figure/'];

% Sections:
SystemNoise     = 0;
DTDSWaveTape    = 1;
DTDSSpecTape    = 0;
NoiseResults    = 0;
FigDTDSWaveSiO2 = 0;
FigDTDSSpecSiO2 = 0;



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% SystemNoise
%
% Noise spectrum of a typical THz system.
% (commands copied from "S2001_08_05_NoiseSpectra.m")
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if SystemNoise
	fprintf('\n ---- FigSystemNoise')
    %Bal PDS, single PD, photon noise
    Dir='F:/Data/2001_08_05';
    ENBW=0.26; %in Hz, for TC=300ms
    [x,y1_]=fnLoadFile([Dir '/BalPDsXn.txt']); y1=y1_/sqrt(ENBW); %normalise to LIA ENBW
    [x,y2_]=fnLoadFile([Dir '/BalPDsYn.txt']); y2=y2_/sqrt(ENBW);
    ybal=sqrt(y1.^2+y2.^2);
    [x,y1_]=fnLoadFile([Dir '/PDXn.txt']); y1=y1_/sqrt(ENBW); %normalise to LIA ENBW
    [x,y2_]=fnLoadFile([Dir '/PDYn.txt']); y2=y2_/sqrt(ENBW);
    ysin=sqrt(y1.^2+y2.^2);
    figure(CURFIGNO), clf, set(gcf,'Name','ParSystemNoise')
    p1=loglog(x,ysin,'o-b',x,ybal,'*-r',x,ones(size(x))*1.4e-9,'.:k'); ylim([1e-9 1e-3])
    xlabel('XX','FontSize',14)
    ylabel('YY','FontSize',14)
     set(gca,'FontSize',14) %'Position',[0.15 0.15 0.8 0.4])
       l1=legend('single0pd0abcd','bal','shot');
    set(l1,'FontSize',24)
    hold on
    h=plot([79.43 79.43], [1e-9 2.6155e-6],'k'); set(h,'Color',[0.8 0.6 0])
    h=plot([1 79.43], [2.6155e-6 2.6155e-6],'k'); set(h,'Color',[0.8 0.6 0])
    h=plot([3162 3162], [1e-9 1.0462e-7],'k'); set(h,'Color',[0.8 0.6 0])
    h=plot([1 3162], [1.0462e-7 1.0462e-7],'k'); set(h,'Color',[0.8 0.6 0])
	% PRINT
	print('-depsc2',[OutPutFigDir 'NoiSpe'])
	if 0
        figure(1), clf
    p1=loglog(x,ysin,'o-b',x,ybal,'-r*') %,x,ones(size(x))*1.4e-9,'.:k');
    ylim([1e-9 1e-3])
    xlabel('XX','FontSize',14)
    ylabel('YY','FontSize',14)
     set(gca,'FontSize',14,'Position',[0.15 0.15 0.8 0.8])
       l1=legend('Single photodiode','Balanced detectors')
    set(l1,'FontSize',14)
    hold on
    h=plot([79.43 79.43], [1e-9 2.6155e-6],'k'); set(h,'Color',[0.8 0.6 0])
    h=plot([1 79.43], [2.6155e-6 2.6155e-6],'k'); set(h,'Color',[0.8 0.6 0])
    h=plot([3162 3162], [1e-9 1.0462e-7],'k'); set(h,'Color',[0.8 0.6 0])
    h=plot([1 3162], [1.0462e-7 1.0462e-7],'k'); set(h,'Color',[0.8 0.6 0])
    %print('-dtiff','Presentations\MEMS2001\Figure\2001MEMS_NoiSpe')
    end
end
CURFIGNO = CURFIGNO+1;



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% DTDSWaveTape
%
% Tape waveforms: thru substrate, thru film,
% and differential.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if DTDSWaveTape
	fprintf('\n ---- FigDTDSWaveTape')
    close all
    Dir='F:/Data/2002_01_25/';
    %ENBW=0; %in Hz, for TC=100ms
    [x1,y1]=fnLoadFile([Dir 'r1x.txt']); 
    [x2,y2]=fnLoadFile([Dir 's1x.txt']); 
    [x3,y3]=fnLoadFile([Dir 'd1x.txt']);
	dd = 20e-6;  % dd is 20 um
	N = length(x1);
    time=[0:(N-1)]*20e-6/c0*1e12; % in picosecs
    f3=figure(3); clf
    set(f3,'Name','DTDSWaveTape')
    [P3]=plot(time,x1,'b',time,x2,'g',time,x3,'r');
    set(P3(1),'Color',LINECOLOR{1})
    set(P3(2),'Color',LINECOLOR{2})
    set(P3(3),'Color',LINECOLOR{3})
    xlim([6 15]), ylim([-0.04 0.08])
    set(gca,'FontSize',18)
    xlabel('XX'), ylabel('YY')
    l3=legend('Ref','Samp','Diff');
    legend boxoff
    print('-depsc2',[OutPutFigDir 'DTDSWaveTape'])
	if 0
    f3=figure(3); clf
    a=plot(time,x1,'.:k',time,x2,'*k',time,x3,'-k');
    xlabel('TIME0PS0ABCDE','FontSize',14), ylabel('arbunits','FontSize',14)
    l3=legend('REF','FILM','DIFF');
    set(l3,'FontSize',24), set(gca,'FontSize',14)
    %%print('-deps2','Presentations\2002_FNL\Figure\2002_FNL_WavFms.eps')
    %%use Corel
    end
end
CURFIGNO = CURFIGNO+1;



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% DTDSSpecTape
%
% Thin film spectra: thru substrate, thru film,
%   and differential.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if DTDSSpecTape
	fprintf('\n ---- FigDTDSSpecTape')
    Dir='F:/Data/2002_01_25/';
	%ENBW=0; %in Hz, for TC=100ms
    [x1,y1]=fnLoadFile([Dir 'r1x.txt']); 
    [x2,y2]=fnLoadFile([Dir 's1x.txt']); 
    [x3,y3]=fnLoadFile([Dir 'd1x.txt']);
	N=2^9;
	X1=abs(fft(x1,N)); X2=abs(fft(x2,N)); X3=abs(fft(x3,N));
	dd=20e-6; dt=dd/c0; fs=1/dt;
	fr=[0:(N-1)]*fs/(N-1);
	n=4:68;
    %FIGURE
	f4=figure(4); clf
    set(f4,'Name','DTDSSpecTape')
    a1 = axes;
    p1 = plot(fr(n)*1e-12,X1(n),'b',fr(n)*1e-12,X2(n),'g');
    set(a1,'YAxisLocation','left','FontSize',MYSUBFONTSIZE,...
        'Xlim',[0.09 1.3],'YLim',[0 1.2],'YTick',[0 0.3 0.6 0.9 1.2])
    set(p1(1),'Color',LINECOLOR{1})
    set(p1(2),'Color',LINECOLOR{2})
    xlabel('XX'), ylabel('YY')
 	[l1]=legend(a1,'Ref','Samp');
	set(l1,'FontSize',MYSUBFONTSIZE,'Position',[0.56 0.72 0.2 0.12],'Box','off')
    a3 = axes;
    p3 = plot(fr(n)*1e-12,X3(n),'r');
    set(a3,'YAxisLocation','right','FontSize',MYSUBFONTSIZE...
        ,'Xlim',[0.09 1.3])
    set(p3,'Color',LINECOLOR{3})
    ylabel('YYd')
	[l3]=legend(a3,'Dif');
	set(l3,'FontSize',MYSUBFONTSIZE,'Position',[0.56 0.6 0.2 0.12],'Box','off')
    set(a3,'Color','none')
    %PRINT
    %to Corel %print('-depsc2',[OutPutFigDir 'DTDSSpecTape'])
    if 0
	f4=figure(4); clf
	[ax,h1,h2]=plotYY(fr(n)*1e-12,X1(n),...
		fr(n)*1e-12,X3(n));
	set(h1,'Marker','.','LineStyle',':','Color','k')
	set(ax(1),'Xlim',[0 2],'FontSize',14,'YColor','k','Position',...
		[0.2 0.2 0.6 0.6])
	set(get(ax(1),'Ylabel'),'String','REFERENCE0MAGNITUDE','FontSize',14)
	set(h2,'Color','k')
	set(ax(2),'Xlim',[0 2],'FontSize',14,'YColor','k','Position',...
		[0.2 0.2 0.6 0.6])
	set(get(ax(2),'Ylabel'),'String','DIFFERENTIAL0MAGNITUDE','FontSize',14)
	x1=xlabel('FREQUENCY0THZ000','FontSize',14);
	[l1]=legend(h1,'RE');
	set(l1,'FontSize',24,'Position',[0.56 0.67 0.2 0.12])
	[l2]=legend(h2,'DE');
	set(l2,'FontSize',24,'Position',[0.56 0.6 0.2 0.12])
	%print('-deps2','Presentations\2002_FNL\Figure\2002_FNL_Spectr.eps')
    end
end
CURFIGNO = CURFIGNO+1;



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% FigDTDSWaveSiO2 (SUB)
%
% SiO2 waveforms: thru substrate, thru film,
% and differential.  Error bars (from noise scans).
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if FigDTDSWaveSiO2
	fprintf('\n ---- FigDTDSWaveSiO2 (SUB)')
	% DATA
	Dir='F:/Data/2001_08_14';
    ENBW=0.26; %in Hz, for TC=300ms
    [x1,y1]=fnLoadFile([Dir '/02refX.txt']); 
    [x2,y2]=fnLoadFile([Dir '/03filmX.txt']); 
    [x3,y3]=fnLoadFile([Dir '/05difX.txt']); 
    time=y1*2e-6/c0*1e12;
	FigData = {[time' x1'],[time' x2'],[time' x3']};
    % FIGURE   
	CURFIGNO = CURFIGNO + 1;
	FigParam.FigNo = CURFIGNO;
	FigParam.Name = 'FigDTDSWaveSiO2';
	FigParam.XShift = MYXLABELSHIFT;
	FigParam.YShift = MYYLABELSHIFT;
	FigParam.LineWidth = MYSUBLINEWIDTH;
	FigParam.FontSize = MYSUBFONTSIZE;
	FigParam.Color = LINECOLOR;
	FigParam.Style = {'none','-',':'};
	FigParam.Marker = {'o','none','none'};
	fnGenericDrawFigure(FigData,FigParam)

	if 0
	FigDTDSWaveSiO2_h = figure(CURFIGNO); clf
	set(FigDTDSWaveSiO2_h,'Name','FigDTDSWaveSiO2')
    FigDTDSWaveSiO2_a = plot(time,x1,'-k',time,x2,':r',time,x3,'-k');
	set(FigDTDSWaveSiO2_a,'LineWidth',MYSUBLINEWIDTH)
	xx = xlabel('XX'); set(xx,'Units','points'), set(xx,'Position',(get(xx,'Position')+[0 2 0]))
	yy = ylabel('YY'); %set(yy,'Units','points','Position',(get(yy,'Position')-[0,0,0]))
    [legend_handle,object_handles] = legend('REF','FILM','DIFF');
    %print('-depsc','Presentations\MEMS2001\Figure\2001MEMS_WavFms.eps')
	
    f3=figure(3); clf
    [P3]=plot(time,x1,'.:r',time,x2,'*',time,x3,'-b');
    set(gca,'Position',[0.15 0.15 0.8 0.8])
    set(P3(2),'Color',[0.8 0.6 0])
    xlabel('Time (ps)','FontSize',14)
    ylabel('THz electric field (au)','FontSize',14)
    [legend_handle,object_handles]=legend('Ref','Samp','Diff');
    set(l3,'FontSize',14), set(gca,'FontSize',14)
    %print('-dtiff','Presentations\MEMS2001\Figure\2001MEMS_WavFms')
    end
end
CURFIGNO = CURFIGNO+1;



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% FigDTDSSpecSiO2
%
% SiO2 spectra: thru substrate, thru film,
% and differential.  Error bars (from noise scans).
% (commands copied from "")
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if FigDTDSSpecSiO2
	fprintf('\n ---- FigDTDSSpecSiO2')
Dir='F:/Data/2001_08_14';
ENBW=0.26; %in Hz, for TC=300ms
[x1,y1]=fnLoadFile([Dir '/02refX.txt']); 
%[x2,y2]=fnLoadFile([Dir '/03filmX.txt']); 
[x3,y3]=fnLoadFile([Dir '/05difX.txt']);
N=2^9;
X1=abs(fft(x1,N)); X3=abs(fft(x3,N));
dd=20e-6; dt=dd/c0; fs=1/dt;
fr=[0:(N-1)]*fs/(N-1);
n=4:68;
f4=figure(4); clf
[ax,h1,h2]=plotYY(fr(n)*1e-12,X1(n),...
    fr(n)*1e-12,X3(n));
set(h1,'Marker','.','LineStyle',':','Color','k')
set(ax(1),'Xlim',[0 2],'FontSize',14,'YColor','k','Position',...
    [0.2 0.2 0.6 0.6])
set(get(ax(1),'Ylabel'),'String','REFERENCE0MAGNITUDE','FontSize',14)
set(h2,'Color','k')
set(ax(2),'Xlim',[0 2],'FontSize',14,'YColor','k','Position',...
    [0.2 0.2 0.6 0.6])
set(get(ax(2),'Ylabel'),'String','DIFFERENTIAL0MAGNITUDE','FontSize',14)
x1=xlabel('FREQUENCY0THZ000','FontSize',14);
[l1]=legend(h1,'RE');
set(l1,'FontSize',24,'Position',[0.56 0.67 0.2 0.12])
[l2]=legend(h2,'DE');
set(l2,'FontSize',24,'Position',[0.56 0.6 0.2 0.12])
%print('-depsc','Presentations\MEMS2001\Figure\2001MEMS_Spectr.eps')
f4=figure(4); clf
[ax,h1,h2]=plotYY(fr(n)*1e-12,X1(n),...
    fr(n)*1e-12,X3(n));
set(h1,'Marker','.','LineStyle',':','Color','r')
set(ax(1),'Xlim',[0 2],'FontSize',14,'YColor','r','Position',...
    [0.2 0.2 0.6 0.6])
set(get(ax(1),'Ylabel'),'String','Magnitude: Ref','FontSize',14,'Color','k')
set(h2,'Color','b')
set(ax(2),'Xlim',[0 2],'FontSize',14,'YColor','b','Position',...
    [0.2 0.2 0.6 0.6])
set(get(ax(2),'Ylabel'),'String','Magnitude: Diff','FontSize',14,'Color','k')
x1=xlabel('Frequency (THz)','FontSize',14);
[l1]=legend(h1,'Ref');
set(l1,'FontSize',14,'Position',[0.56 0.67 0.2 0.12])
[l2]=legend(h2,'Dif');
set(l2,'FontSize',14,'Position',[0.56 0.6 0.2 0.12])
print('-dtiff','Presentations\MEMS2001\Figure\2001MEMS_Spectr')
end
CURFIGNO = CURFIGNO+1;


	


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%
% Plastic
%  (this comes straight from "Presentation_2001_MEMS.m"
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Run 'SpecDualSamplMain.m'
%   - expfile='/matlab/SpecDualSampPlastic01.txt';
%   - select S2001MEMSFig=1;

% Run 'SpecDuvill96Main.m' with
%   - expfile='/matlab/duvill96/SpecDuvill96Plastic3.txt';
%   - select S2001MEMSFig=1;




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%
% NoiseResults
% (commands based on from 'NOISE_SPECTRUM_DATA.m' in \Data\2002_03_19)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if NoiseResults
    % Parameter
    NoiseResults.BW = 0.781;
    % DATA from directory 'Data\2002_03_19'.
    galvo_Xn     = [117.5 17]/40/NoiseResults.BW;
    galvo_F      = [2 10];
    galvo_E      = [7.5 1]/40;
    chopper_Xn   = [19/175 4.05/175 1.6/170 1.4/160 ...
        1.25/162.5 1/152.5]/NoiseResults.BW;
    chopper_F    = [10 20  100 200 1e3 2e3];
    chopper_E    = [5/175 1.35/175 0.2/170 0.4/160 ...
        0.55/162.5 0.5/152.5];
    % FIGURE WAVEFORM
	CURFIGNO = CURFIGNO + 1;
    NoiseResults.f = figure(CURFIGNO);
    set(NoiseResults.f,'Name','NoiseResults')
    NoiseResults.a = axes;
    hold on
    EBF = 1.15; % Error Bar Factor
    % galvo
    p1 = errorbar(galvo_F,galvo_Xn,galvo_E,'-b');
    set(p1,'LineWidth',MYLINEWIDTH,'Color',LINECOLOR{1})
    set(p1(1),'XData',...
        reshape([1 1 NaN 1/EBF 1*EBF NaN 1/EBF 1*EBF NaN]'*galvo_F,1,9*length(galvo_F)))
    % chopper
    p2 = errorbar(chopper_F,chopper_Xn,chopper_E,'b');
    set(p2,'LineWidth',MYLINEWIDTH,'Color',LINECOLOR{2})
    set(p2(1),'XData',...
        reshape([1 1 NaN 1/EBF 1*EBF NaN 1/EBF 1*EBF NaN]'*chopper_F,1,9*length(chopper_F)))
    % 1/f
    p3 = plot([galvo_F chopper_F],1./[galvo_F chopper_F],'r');
    set(p3,'LineWidth',2,'Color',LINECOLOR{3})
    % n-DTDS point
    p4 = loglog([10],[16.5/40]/NoiseResults.BW,'o');
    set(p4,'LineWidth',MYLINEWIDTH,'Color',LINECOLOR{4},'MarkerSize',12)
    % d-DTDS point
    p5 = loglog([2e3],[0.35/20]/NoiseResults.BW,'o');
    set(p5,'LineWidth',MYLINEWIDTH,'Color',LINECOLOR{5},'MarkerSize',12)
    % d-DTDS x 2 point
    p6 = loglog([2e3],[0.35/40]/NoiseResults.BW,'o');
    set(p6,'LineWidth',MYLINEWIDTH,'Color',LINECOLOR{3},'MarkerSize',12)
    set(NoiseResults.a,'FontSize',18,'YScale','log','XScale','log')
    xlabel('XX'), ylabel('YY')
    legend([p1(2) p2(2) p3 p4 p5 p6],...
        'galvo','chopper','inverse-f','n-DTDS','d-DTDS','d-DTDS-x-2')
    legend boxoff
    % PRINT
    %to Corel Draw - add arrows
end





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%
%
% SiO2 refractive index, published data, & kappa
% (commands copied from "")
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Run 'SpecDuvill96Main.m' with
%   - expfile='Data/2001_09_12_KSL/SpecDTDSFilm.txt';
%   - select S2001MEMSFig=3;





