%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% FIGURE GENERATION FOR SPM THESIS (2003), ChIm
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf('\n **** SPM: Thesis 2003, ChIm **** ')
clear, cd ..

% Variables
DO_NOT_CLEAR = 1; c0 = 2.99792e8;
global MYLINEWIDTH MYSUBLINEWIDTH ...
    MYMARKER MYMARKERSIZE MYSUBMARKERSIZE ... 
    LINECOLOR ...
    MYFONTSIZE MYSUBFONTSIZE ...
    CURFIGNO ...
    MYXLABELSHIFT MYYLABELSHIFT ...
    OUTPUTFIGDIR
OutPutFigDir = [OUTPUTFIGDIR '../CorelDrawDocs/Thesis/ChIm/Figure/'];

% Sections:
A100 = 1;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Image of $100:
%  alone, &
%  thru enveloope.
%
% From CD: 'MyDocs2001\Presentations\MEMS99\manuscript.m'
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if A100

    % CREATE 'fig_100_.jpg.'.
    % (This is a figure of a $100 note done with a lockin time costant of 100 ms
    % and without paper. The raw data is stored in 
    % 'F:/Data/2001_Derek_at_RPI/case1' and has been prepared by
    % 'wtImageRead.m'.)
    %
    
    % Load up the image matrix 'Data' from 'ImageReadCase1.mat' -
    load F:/Data/2001_Derek_at_RPI/ImageReadCase1
    
    % Choose figure and set colourmap -
    f1 = figure(11), set(f1,'Name','A100Only');
    colormap(summer)
    
    % Look at the size of the colormap -
    ColorMapSize = size(colormap);
    
    % Set the range over which the data will be display (all data points higher
    % or lower than these limits will simply be set equal to the top or bottom
    % values) -
    % DataColourLimits = [0 ColorMapSize];
    
    % Crop the crusty bits from around the number 100 -
    DataCrop = Data(3:30,2:50);
    
    % Display image after scaling all coefs to lie in [0 1] -
    imagesc(DataCrop)
    
    %print -djpeg /home/bugeye4/spmickan/Documents/Presentations/MEMS99/fig_100_.jpg
    %print -deps2 /home/bugeye4/spmickan/Documents/Presentations/MEMS99/fig_100_.eps
    
    % Diagnostics -
    fprintf('  ColorMapSize = %d\n',ColorMapSize)
    fprintf('  Capture this figure with Corel!\n')
    
    %*******************************************************************
    % CREATE 'fig_100p.jpg'.
    % (This is a figure of a $100 note done with a lockin time costant of 100 ms
    % and WITH paper. The raw data is stored in
    % 'Sumijo/RPIData/DereksEffort/case3' and has been prepared by 'wtImageRead.m'.)
    %
    
    % Load up the image matrix 'Data' from 'ImageReadCase3.mat' -
    load F:/Data/2001_Derek_at_RPI/ImageReadCase3
    
    % Choose figure and set colourmap -
    f2 = figure(12), set(f2,'Name','A100Envelope');
    colormap(summer)
    
    % Look at the size of the colormap -
    ColorMapSize = size(colormap);
    
    % Set the range over which the data will be display (all data points higher
    % or lower than these limits will simply be set equal to the top or bottom
    % values) -
    % DataColourLimits = [0 ColorMapSize];
    
    % Crop the crusty bits from around the number 100 -
    DataCrop = Data(3:30,2:50);
    
    % Display image after scaling all coefs to lie in [0 1] -
    imagesc(DataCrop)
    
    %print -djpeg /home/bugeye4/spmickan/Documents/Presentations/MEMS99/fig_100p.jpg
    %print -deps2 /home/bugeye4/spmickan/Documents/Presentations/MEMS99/fig_100p.eps
    
    % Diagnostics -
    fprintf('  ColorMapSize = %d\n',ColorMapSize)
    fprintf('  Capture this figure with Corel!\n')
end, clear FigData, 
    
    
