%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% FIGURE GENERATION FOR SPM THESIS (2003), ChNf
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
fprintf('\n **** SPM: Thesis 2003, ChNf **** ')
clear, cd ..

% Variables
DO_NOT_CLEAR = 1; c0 = 2.99792e8;
global MYLINEWIDTH MYSUBLINEWIDTH ...
	MYMARKER MYMARKERSIZE MYSUBMARKERSIZE... 
    LINECOLOR...
	MYFONTSIZE MYSUBFONTSIZE...
	CURFIGNO...
	MYXLABELSHIFT MYYLABELSHIFT...
    OUTPUTFIGDIR
OutPutFigDir = [OUTPUTFIGDIR '../CorelDrawDocs/Thesis/ChNf/Figure/'];
	
% Sections:
Focus20 = 1;
Focus40 = 1;


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Focused Optical Spot Size For 20x Lens
%
% From Tao's txt file: "20XbeamdiavsLenspleft.txt"
% This was presented in CLEO2003.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if Focus20
    fprintf('\n   Focus20')
	expfile='F:/Data/YuanTao/20XbeamdiavsLenspleft.txt';
    LoadVar = load(expfile);
    % Transform units to +/- um and um diameter:
    FigData{1}(:,1) = (LoadVar(:,1) - 11.2120)*1000;
    FigData{1}(:,2) = LoadVar(:,2);
    % FIGURE   
	CURFIGNO = CURFIGNO + 1;
	FigParam.FigNo = CURFIGNO;
	FigParam.Name = 'FocusTwenty';
	FigParam.XShift = MYXLABELSHIFT;
	FigParam.YShift = MYYLABELSHIFT;
	FigParam.LineWidth = MYSUBLINEWIDTH;
	FigParam.FontSize = MYFONTSIZE;
	FigParam.Color = LINECOLOR;
	FigParam.Style = {'-'};
	FigParam.Marker = {'o'};
    FigParam.MarkerSize = 6;
	FigParam.XLim = [-60,60]; FigParam.YLim = [0,25];
    figure(FigParam.FigNo)
    set(gcf,'Name','Focus20')
    for cK = 1
        PloNo{cK}=plot(FigData{cK}(:,1),FigData{cK}(:,2));
        set(gca,'FontSize',FigParam.FontSize,...
            'XLim',FigParam.XLim,'YLim',FigParam.YLim)
        set(PloNo{cK},'Color',FigParam.Color{cK},...
            'LineStyle',FigParam.Style{cK},'Marker',FigParam.Marker{cK},...
            'LineWidth',FigParam.LineWidth,'MarkerSize',FigParam.MarkerSize)
        hold on
    end
    XNo = xlabel('XX');
    set(XNo,'Units','points')
    set(XNo,'Position',(get(XNo,'Position')+[0 FigParam.XShift 0]))
    set(XNo,'Units','normalized')
    YNo = ylabel('YY');
    set(YNo,'Units','points')
    set(YNo,'Position',(get(YNo,'Position')+[FigParam.YShift 0 0]))
    set(YNo,'Units','normalized')
    RndPreLeg = ((1:length(FigData))+64)';
    RndLeg = char(RndPreLeg*ones(1,10));
    %legend(RndLeg)
	% PRINT
	print('-depsc2',[OutPutFigDir 'FocusTwenty'])
end, clear FigData, 


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Focused Optical Spot Size For 40x Lens
%
% From Tao's txt file: "40Xbeamdiavslensp.txt"
% This was presented in CLEO2003.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if Focus40
    fprintf('\n   Focus40')
	expfile='F:/Data/YuanTao/40Xbeamdiavslensp.txt';
    LoadVar = load(expfile);
    % Transform units to +/- um and um diameter:
    FigData{1}(:,1) = (LoadVar(:,1) - 14.8360)*1000;
    FigData{1}(:,2) = LoadVar(:,2);
    % FIGURE   
	CURFIGNO = CURFIGNO + 1;
	FigParam.FigNo = CURFIGNO;
	FigParam.Name = 'FocusTwenty';
	FigParam.XShift = MYXLABELSHIFT;
	FigParam.YShift = MYYLABELSHIFT;
	FigParam.LineWidth = MYSUBLINEWIDTH;
	FigParam.FontSize = MYFONTSIZE;
	FigParam.Color = LINECOLOR;
	FigParam.Style = {'-'};
	FigParam.Marker = {'o'};
    FigParam.MarkerSize = 6;
	FigParam.XLim = [-60,60]; FigParam.YLim = [0,25];
    figure(FigParam.FigNo)
    set(gcf,'Name','Focus40')
    for cK = 1
        PloNo{cK}=plot(FigData{cK}(:,1),FigData{cK}(:,2));
        set(gca,'FontSize',FigParam.FontSize,...
            'XLim',FigParam.XLim,'YLim',FigParam.YLim)
        set(PloNo{cK},'Color',FigParam.Color{cK},...
            'LineStyle',FigParam.Style{cK},'Marker',FigParam.Marker{cK},...
            'LineWidth',FigParam.LineWidth,'MarkerSize',FigParam.MarkerSize)
        hold on
    end
    XNo = xlabel('XX');
    set(XNo,'Units','points')
    set(XNo,'Position',(get(XNo,'Position')+[0 FigParam.XShift 0]))
    set(XNo,'Units','normalized')
    YNo = ylabel('YY');
    set(YNo,'Units','points')
    set(YNo,'Position',(get(YNo,'Position')+[FigParam.YShift 0 0]))
    set(YNo,'Units','normalized')
    RndPreLeg = ((1:length(FigData))+64)';
    RndLeg = char(RndPreLeg*ones(1,10));
    %legend(RndLeg)
	% PRINT
	print('-depsc2',[OutPutFigDir 'FocusForty'])
end, clear FigData, 