function fnGenericDrawFigure(Data,Param)
% For drawing generic figures
fprintf('\n **** SPM: fnGenericDrawFigure **** ')

% Draw
FigNo = figure(Param.FigNo); clf
set(FigNo,'Name',Param.Name)
%AxeNo = axes;
%set(AxeNo,'NextPlot','add')
PloWidth = Param.LineWidth;
for cK = 1:length(Data)
    if isfield(Param,'Log') & not(strcmp(Param.Log,'off'))
        switch Param.Log
        case 'y'
            PloNo{cK} = semilogy(Data{cK}(:,1),Data{cK}(:,2));
        case 'x'
            PloNo{cK} = semilogx(Data{cK}(:,1),Data{cK}(:,2));
        otherwise
            PloNo{cK} = loglog(Data{cK}(:,1),Data{cK}(:,2));
        end
    else
        PloNo{cK} = plot(Data{cK}(:,1),Data{cK}(:,2));
    end
    set(PloNo{cK},'Color',Param.Color{cK},...
		'LineStyle',Param.Style{cK},'Marker',Param.Marker{cK},...
        'MarkerSize',Param.MarkerSize,...
		'LineWidth',PloWidth)
	hold on
end
set(gca,'FontSize',Param.FontSize,'Color','White')
set(FigNo,'Color','none')
XNo = xlabel('XX');
set(XNo,'Units','points')
set(XNo,'Position',(get(XNo,'Position')+[0 Param.XShift 0]))
set(XNo,'Units','normalized')
YNo = ylabel('YY');
set(YNo,'Units','points')
set(YNo,'Position',(get(YNo,'Position')+[Param.YShift 0 0]))
set(YNo,'Units','normalized')

if not(isfield(Param,'LegPos'))
	Param.LegPos = 0;
end
RndPreLeg = ((1:length(Data))+64)';
RndLeg = char(RndPreLeg*ones(1,10));
LegNo = legend(RndLeg,Param.LegPos);
set(LegNo,'FontSize',18)
legend boxoff

if isfield(Param,'XLim') & not(strcmp(Param.XLim,'off'))
	xlim(Param.XLim)
end
if isfield(Param,'YLim') & not(strcmp(Param.YLim,'off'))
	ylim(Param.YLim)
end