function f = SpecDTDSDelfn(Xtic1,WhichXtic,Xtic2,fr,F,Texper,param)

%SPECDTDSDELFN is the duvill96 error metric for the
%  amplitude error metric squared
%  plus the phase error metric squared.  The error metrics are calculated
%  from the log-amplitude and phase differences between the calculated
%  transmission coef for 'n' and 'k' and the measured transmission 
%  coefficient at freq 'omega' .
%
%  ***Input1(1): refractive index of layer 2, n
%  ***Input1(2): kappa of layer 2, k
%  Input2: reference frequency
%  Input3: measured transmission coef at freq. omega
%  Input4: parameters for the T equation
%
%  Sam Mickan Aug 2001

% Calculated complex transmission coefficient
Tmodel = SpecDTDSTmodelfn(Xtic1,WhichXtic,Xtic2,fr,F,param);

% Error metrics
dRho = log(Tmodel.Abs)-log(Texper.Abs);
dPhi = Tmodel.Arg-Texper.Arg;
f = dRho.^2+dPhi.^2;