function [DataFile,Path,Legend,PlotTitle]=SamGenericMultiPlotLoadFilefn(expfile)

% Load experimental data from a file
ExpName=textread(expfile,'%s');

% Fill the file data into a structure
Exp=struct('ExpFile',expfile);
for cK=1:length(ExpName)
    Name=ExpName{cK}(1:2); Cont=ExpName{cK}(4:end);
    switch Name
    case '%%', % DO NOTHING
    otherwise,  if ExpName{cK}(3)=='=', Exp=setfield(Exp,Name,Cont);
        else fprintf('Error in Exp file\n'), end
    end
end

% Construct
DataFile=struct('ID',Exp.ID,...
    'DC',str2num(Exp.DC),...
    'dd',str2num(Exp.dd),...
    'CP',str2num(Exp.CP),...
    'CF',str2num(Exp.CF),...
    'Tr',Exp.Tr,...
    'Fi',str2num(Exp.Fi));
if isfield(Exp,'Dt')
    DataFile.Dt=Exp.Dt; else
    DataFile.Dt=''; end
if isfield(Exp,'Mo')
    DataFile.Mo=Exp.Mo; else
    DataFile.Mo=''; end
if isfield(Exp,'Di')
    DataFile.Di=Exp.Di; else
    DataFile.Di=''; end
[Path{1:length(DataFile.ID)}]=deal(str2num(Exp.Pa));
[Legend{1:length(DataFile.ID)}]=deal(str2num(Exp.Le));
if ~isempty(DataFile.Fi)
    [PlotTitle{1:length(DataFile.Fi)}]=deal(str2num(Exp.Ti)); else
    PlotTitle={''}; end
if isfield(Exp,'FO')
	DataFile.FO=Exp.FO; else
	DataFile.FO='1'; end
if isfield(Exp,'ds')
	DataFile.ds=str2num(Exp.ds); else
	DataFile.ds=[]; end
if isfield(Exp,'PP')
	DataFile.PP=Exp.PP; else
	DataFile.PP=''; end
if isfield(Exp,'FP')
	DataFile.FP=str2num(Exp.FP); else
	DataFile.FP=NaN; end
if isfield(Exp,'Se')
	DataFile.Se=str2num(Exp.Se); else
	DataFile.Se=NaN; end
if isfield(Exp,'n1')
	DataFile.n1=str2num(Exp.n1); else
	DataFile.n1=NaN; end
if isfield(Exp,'nx')
	DataFile.nx=str2num(Exp.nx); else
	DataFile.nx=NaN; end
if isfield(Exp,'ns')
	DataFile.ns=str2num(Exp.ns); else
	DataFile.ns=NaN; end
if isfield(Exp,'n2')
	DataFile.n2=str2num(Exp.n2); else
	DataFile.n2=NaN; end
if isfield(Exp,'Ph')
	DataFile.Ph=str2num(Exp.Ph); else
	DataFile.Ph=NaN; end
if isfield(Exp,'Bi')
	DataFile.Bi=str2num(Exp.Bi); else
	DataFile.Bi=NaN; end
if isfield(Exp,'PM') %PadMultiple for arg FFT
	DataFile.PM=str2num(Exp.PM); else
	DataFile.PM=1; end